typedef enum {
  dump_horizontal, dump_optimum, dump_left, dump_right
} dump_orientations;
typedef enum {
  xx1dummy, singleDensity, doubleDensity, oddDensity, quadDensity
} dump_densities;
typedef enum {
  page0, page1
} dump_pages;
typedef enum {
  xx3dummy, lpt1, lpt2, lpt3
} dump_ports;
typedef enum {
  noshrink, shrink1, shrink2, shrink3, autoshrink
} dump_shrinkmode;
typedef enum {
  dump_nocolour, dump_colour, dump_simulated, dump_laser, dump_24pin,
  dump_simulatedlaser
} dump_colourmodes;


void far pascal PrintScreen ();
int far pascal _PrintScreen2Disk (char far *filename);
void far pascal FPSetWindow (int x0, int y0, int x1, int y1);
void far pascal FPSetSkipcount (int lowlimit);
void far pascal FPSetOrientation (dump_orientations which);
void far pascal FPSetDensity (dump_densities which);
void far pascal FPSetPage (dump_pages which);
void far pascal FPSetText ();
void far pascal FPSetAuto (int todoornottodo);
void far pascal FPSetGraph ();
void far pascal FPSetPort (dump_ports which);
void far pascal FPSetFormfeed (int todoornottodo);
void far pascal FPSetCR (int todoornottodo);
void far pascal FPSetInvert (int todoornottodo);
void far pascal FPSetNul (int todoornottodo);
void far pascal FPSetEgamask (int black, int red, int yellow, int blue);
void far pascal FPSetPatterns (unsigned short far *patterns);
void far pascal FPSetColour (dump_colourmodes which);
void far pascal FPSetShrink (dump_shrinkmode which);
void far pascal FPSetCentered (int todoornottodo);
void far pascal FPSetCompressMode (int mode);
void far pascal FPGetWindow (unsigned short far *x0, unsigned short far *y0,
                             unsigned short far *x1, unsigned short far *y1);
unsigned short far pascal FPGetSkipcount ();
dump_orientations far pascal FPGetOrientation ();
dump_densities far pascal FPGetDensity ();
dump_pages far pascal FPGetPage ();
int far pascal FPGetText ();
int far pascal FPGetAuto ();
int far pascal FPGetGraph ();
dump_ports far pascal FPGetPort ();
int far pascal FPGetFormfeed ();
int far pascal FPGetCR ();
int far pascal FPGetInvert ();
int far pascal FPGetNul ();
void far pascal FPGetEgamask (unsigned short far *black, unsigned short far *red,
                              unsigned short far *yellow, unsigned short far *blue);
void far pascal FPGetPatterns (unsigned short far *patterns);
dump_colourmodes far pascal FPGetColour ();
dump_shrinkmode far pascal FPGetShrink ();
int far pascal FPGetCentered ();
unsigned short far pascal FPGetOutputcount ();
int far pascal FPGetInterrupted ();
int far pascal FPGetCompressMode ();
